//+------------------------------------------------------------------+
//|                                      MoneyDeepLevelsAutoV2.2.mq4 |
//|                                  Coded By, Brooky Indicators.com |
//|  http://www.forexfactory.com/showthread.php?t=308230 MoneyDeep   |
//+------------------------------------------------------------------+

#property link      "www.Brooky-Indicators.com"

#property indicator_chart_window
extern string Indi_CopyOnChart = "a"; 
extern bool   UseAutoTfHiLos = true;
extern int    AutoTf2Use     = 1440;
extern int    MtfBarBack     = 3;

extern bool   SeeCycles = true;



extern int    Cycle_Bars = 34;
extern color  CycleColor = Gray;
extern int    CycleSize = 1;
extern int    CycleStyle = 0;
extern string GridNote = "Cycle Bars MUST be ON 4 Grid";
extern bool   SeeGrid = true;
extern color  GridColor = SlateGray;
extern int    GridSize = 1;
extern int    GridStyle = 2;


extern color  CalcDnColor=DodgerBlue;
extern color  CalcUpColor=Red;
extern int    CalcSize=1;
extern int    CalcStyle=0;
extern color  ControlBarColor=Red;


extern double    ratio1 = 0.0125;
extern double    ratio2 = 0.025;
extern double    ratio3 = 0.033;
extern double    ratio4 = 0.0375;
extern double    ratio5 = 0.05;
extern double    ratio6 = 0.0625;
extern double    ratio7 = 0.06666;
extern double    ratio8 = 0.075;
extern double    ratio9 = 0.0875;
extern double    ratio10 = 0.10;

extern string Tf_ValuesInfo =" Tf Value Hints",
PERIOD_M1_="1.. 1 minute.", 
PERIOD_M5_=" 5__ 5 minutes_ ",
PERIOD_M15_=" 15.. 15 minutes. ",
PERIOD_M30_=" 30.. 30 minutes. ",
PERIOD_H1_=" 60.. 1 hour. ",
PERIOD_H4_=" 240_. 4 hour. ",
PERIOD_D1_=" 1440.. Daily. ",
PERIOD_W1_=" 10080.. Weekly. ",
PERIOD_MN1_=" 43200.. Monthly. ",
zero =" 0.. Timeframe used on the chart."; 




static double thelow,thehigh;
string txtUp1="U1",txtUp2="U2",txtUp3="U3",txtUp4="U4",txtUp5="U5",txtUp6="U6",txtUp7="U7",txtUp8="U8",txtUp9="U9",txtUp10="U10",txtUp11="U11";
string txtDn1="D1",txtDn2="D2",txtDn3="D3",txtDn4="D4",txtDn5="D5",txtDn6="D6",txtDn7="D7",txtDn8="D8",txtDn9="D9",txtDn10="D10",txtDn11="D11";

double Up1,Up2,Up3,Up4,Up5,Up6,Up7,Up8,Up9,Up10;
double Dn1,Dn2,Dn3,Dn4,Dn5,Dn6,Dn7,Dn8,Dn9,Dn10;


string IndiCopyOnChart = "";
string ControlBar="ControlBar";
string Cycler="Cycler";
string Grid="Gridit";
string Grid2="Gridit2";
double price1,price2;
static datetime lowtime,hightime;
//---------------------------------------------+
int init()
  {
 IndicatorShortName("MD_Tf_"+DoubleToStr(Period(),0)+" Indi_"+IndiCopyOnChart);
 
 if(UseAutoTfHiLos)
 {
 IndiCopyOnChart = StringConcatenate(Indi_CopyOnChart,"_Tf_",DoubleToStr(AutoTf2Use,0));
 
 }else IndiCopyOnChart = StringConcatenate(Indi_CopyOnChart,"_",DoubleToStr(Period(),0));
 
 
   return(0);
  }
//---------------------------------------------+
int deinit()
  {
   
   ObjectDelete(txtUp1+IndiCopyOnChart);
   ObjectDelete(txtUp2+IndiCopyOnChart);
   ObjectDelete(txtUp3+IndiCopyOnChart);
   ObjectDelete(txtUp4+IndiCopyOnChart);
   ObjectDelete(txtUp5+IndiCopyOnChart);
   ObjectDelete(txtUp6+IndiCopyOnChart);
   ObjectDelete(txtUp7+IndiCopyOnChart);
   ObjectDelete(txtUp8+IndiCopyOnChart);
   ObjectDelete(txtUp9+IndiCopyOnChart);
   ObjectDelete(txtUp10+IndiCopyOnChart);
   ObjectDelete(txtUp11+IndiCopyOnChart);

   ObjectDelete(txtDn1+IndiCopyOnChart);
   ObjectDelete(txtDn2+IndiCopyOnChart);
   ObjectDelete(txtDn3+IndiCopyOnChart);
   ObjectDelete(txtDn4+IndiCopyOnChart);
   ObjectDelete(txtDn5+IndiCopyOnChart);
   ObjectDelete(txtDn6+IndiCopyOnChart);
   ObjectDelete(txtDn7+IndiCopyOnChart);
   ObjectDelete(txtDn8+IndiCopyOnChart);
   ObjectDelete(txtDn9+IndiCopyOnChart);
   ObjectDelete(txtDn10+IndiCopyOnChart);
   ObjectDelete(txtDn11+IndiCopyOnChart);
   ObjectDelete(Cycler+IndiCopyOnChart);
   ObjectDelete(Grid+IndiCopyOnChart);
   ObjectDelete(Grid2+IndiCopyOnChart);
      
   Comment("");
   return(0);
  }
//---------------------------------------------+

int start()
  {
 
 price1=0;
 price2=0;         
     
if(ObjectFind(ControlBar+IndiCopyOnChart)!=0)
{


      ObjectCreate(ControlBar+IndiCopyOnChart,OBJ_TREND,0,Time[1],Close[1],Time[1],Close[1]-((High[1]-Low[1])*2));      
      ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_COLOR,ControlBarColor);
      ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_WIDTH ,2);      
      ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_RAY ,False);

}
if(UseAutoTfHiLos && ObjectFind(ControlBar+IndiCopyOnChart)==0)
{
 ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_PRICE1 ,iHigh(Symbol(),AutoTf2Use,MtfBarBack)); 
 ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_PRICE2 ,iLow(Symbol(),AutoTf2Use,MtfBarBack));
 
 ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_TIME1 ,iTime(Symbol(),AutoTf2Use,MtfBarBack));
 ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_TIME2 ,iTime(Symbol(),AutoTf2Use,MtfBarBack));
 ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_COLOR,ControlBarColor);
 WindowRedraw();
}


//-------------
if(ObjectFind(ControlBar+IndiCopyOnChart)==0)
{

   price1=ObjectGet(ControlBar+IndiCopyOnChart, OBJPROP_PRICE1);
   price2=ObjectGet(ControlBar+IndiCopyOnChart, OBJPROP_PRICE2);
  
  thelow=MathMin(price1,price2);
  thehigh=MathMax(price1,price2);
  
  if(thelow==price1)lowtime=ObjectGet(ControlBar+IndiCopyOnChart, OBJPROP_TIME1);else  lowtime=ObjectGet(ControlBar+IndiCopyOnChart, OBJPROP_TIME2);
  if(thehigh==price2)hightime=ObjectGet(ControlBar+IndiCopyOnChart, OBJPROP_TIME2);else  hightime=ObjectGet(ControlBar+IndiCopyOnChart, OBJPROP_TIME1);
  ObjectSet(ControlBar+IndiCopyOnChart, OBJPROP_COLOR,ControlBarColor);
  
  if(SeeCycles && ObjectFind(Cycler+IndiCopyOnChart)!=0)
  {
      
      ObjectCreate(Cycler+IndiCopyOnChart,OBJ_CYCLES,0,Time[iBarShift(NULL,0,lowtime)-Cycle_Bars],price1,lowtime,price1);      
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_COLOR,CycleColor);
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_WIDTH ,CycleSize);
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_STYLE ,CycleStyle);     
      
      if(SeeGrid && ObjectFind(Grid+IndiCopyOnChart)!=0)
      {
      ObjectCreate(Grid+IndiCopyOnChart,OBJ_GANNGRID,0,Time[iBarShift(NULL,0,lowtime)-Cycle_Bars],thelow,lowtime,thehigh);      
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_COLOR,GridColor);
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_WIDTH ,GridSize);
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_STYLE ,GridStyle);

      ObjectCreate(Grid2+IndiCopyOnChart,OBJ_GANNGRID,0,Time[iBarShift(NULL,0,lowtime)-Cycle_Bars],thehigh,lowtime,thelow);      
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_COLOR,GridColor);
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_WIDTH ,GridSize);
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_STYLE ,GridStyle);      
      } 
      
  
  }
    if(SeeCycles && ObjectFind(Cycler+IndiCopyOnChart)==0)
  {
  
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_COLOR,CycleColor);
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_WIDTH ,CycleSize);
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_STYLE ,CycleStyle);
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_PRICE1 ,price1); 
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_PRICE2 ,price1);
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_TIME2 ,Time[iBarShift(NULL,0,lowtime)-Cycle_Bars]);
      ObjectSet(Cycler+IndiCopyOnChart, OBJPROP_TIME1 ,lowtime);
      
            if(SeeGrid && ObjectFind(Grid+IndiCopyOnChart)==0)
      {
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_COLOR,GridColor);
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_WIDTH ,GridSize);
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_STYLE ,GridStyle);
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_PRICE1 ,thelow); 
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_PRICE2 ,thehigh);
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_TIME2 ,Time[iBarShift(NULL,0,lowtime)-Cycle_Bars]);
      ObjectSet(Grid+IndiCopyOnChart, OBJPROP_TIME1 ,lowtime);
      
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_COLOR,GridColor);
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_WIDTH ,GridSize);
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_STYLE ,GridStyle);
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_PRICE1 ,thehigh); 
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_PRICE2 ,thelow);
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_TIME2 ,Time[iBarShift(NULL,0,lowtime)-Cycle_Bars]);
      ObjectSet(Grid2+IndiCopyOnChart, OBJPROP_TIME1 ,lowtime);
      
      }
  }
}

//---lines
if(ObjectFind(txtUp1+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp1+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow);      

      ObjectSet(txtUp1+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp1+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtUp1+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp1+IndiCopyOnChart)==0)
{
ObjectSet(txtUp1+IndiCopyOnChart,  OBJPROP_PRICE1,thelow);
      ObjectSet(txtUp1+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
       ObjectSet(txtUp1+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);     
}
//---- 
if(ObjectFind(txtUp2+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp2+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio1*thelow));      
      
      ObjectSet(txtUp2+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp2+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp2+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp2+IndiCopyOnChart)==0)
{
ObjectSet(txtUp2+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio1*thelow));
ObjectSet(txtUp2+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp2+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);
}
//---- 
if(ObjectFind(txtUp3+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp3+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio2*thelow));      
      
      ObjectSet(txtUp3+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp3+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp3+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp3+IndiCopyOnChart)==0)
{
ObjectSet(txtUp3+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio2*thelow));
ObjectSet(txtUp3+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp3+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);
}
//---- 
if(ObjectFind(txtUp4+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp4+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio3*thelow));      
      
      ObjectSet(txtUp4+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp4+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp4+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp4+IndiCopyOnChart)==0)
{
ObjectSet(txtUp4+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio3*thelow));
ObjectSet(txtUp4+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp4+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);
}
//---- 
if(ObjectFind(txtUp5+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp5+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio4*thelow));      
      
      ObjectSet(txtUp5+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp5+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp5+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp5+IndiCopyOnChart)==0)
{
ObjectSet(txtUp5+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio4*thelow));
ObjectSet(txtUp5+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp5+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);

}
//---- 

//---- 
if(ObjectFind(txtUp6+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp6+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio5*thelow));      
      
      ObjectSet(txtUp6+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp6+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp6+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp6+IndiCopyOnChart)==0)
{
ObjectSet(txtUp6+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio5*thelow));
ObjectSet(txtUp6+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp6+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);

}
//---- 
if(ObjectFind(txtUp7+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp7+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio6*thelow));      
      
      ObjectSet(txtUp7+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp7+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp7+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp7+IndiCopyOnChart)==0)
{
ObjectSet(txtUp7+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio6*thelow));
ObjectSet(txtUp7+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp7+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);

}
//---- 
if(ObjectFind(txtUp8+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp8+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio7*thelow));      
      
      ObjectSet(txtUp8+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp8+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp8+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp8+IndiCopyOnChart)==0)
{
ObjectSet(txtUp8+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio7*thelow));
ObjectSet(txtUp8+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp8+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);

}
//----     
 if(ObjectFind(txtUp9+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp9+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio8*thelow));      
      
      ObjectSet(txtUp9+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp9+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp9+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp9+IndiCopyOnChart)==0)
{
ObjectSet(txtUp9+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio8*thelow));
ObjectSet(txtUp9+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp9+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);

}     
//----     
 if(ObjectFind(txtUp10+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp10+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio9*thelow));      
      
      ObjectSet(txtUp10+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp10+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp10+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp10+IndiCopyOnChart)==0)
{
ObjectSet(txtUp10+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio9*thelow));
ObjectSet(txtUp10+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp10+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);

}     
//----     
 if(ObjectFind(txtUp11+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtUp11+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thelow+(ratio10*thelow));      
      
      ObjectSet(txtUp11+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtUp11+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtUp11+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtUp11+IndiCopyOnChart)==0)
{
ObjectSet(txtUp11+IndiCopyOnChart,  OBJPROP_PRICE1,thelow+(ratio10*thelow));
ObjectSet(txtUp11+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtUp11+IndiCopyOnChart, OBJPROP_COLOR,CalcUpColor);

} 
//-------------------------------Dn Levels
if(ObjectFind(txtDn1+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn1+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh);      
      
      ObjectSet(txtDn1+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn1+IndiCopyOnChart, OBJPROP_RAY ,True);    
       ObjectSet(txtDn1+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn1+IndiCopyOnChart)==0)
{
ObjectSet(txtDn1+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh);
ObjectSet(txtDn1+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn1+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}
//---- 
if(ObjectFind(txtDn2+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn2+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio1*thehigh));      
      
      ObjectSet(txtDn2+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn2+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn2+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn2+IndiCopyOnChart)==0)
{
ObjectSet(txtDn2+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio1*thehigh));
ObjectSet(txtDn2+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn2+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}
//---- 
if(ObjectFind(txtDn3+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn3,OBJ_HLINE,0,Time[0],thehigh-(ratio2*thehigh));      
      
      ObjectSet(txtDn3+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn3+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn3+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn3+IndiCopyOnChart)==0)
{
ObjectSet(txtDn3+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio2*thehigh));
ObjectSet(txtDn3+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn3+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}
//---- 
if(ObjectFind(txtDn4+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn4+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio3*thehigh));      
      
      ObjectSet(txtDn4+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn4+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn4+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn4+IndiCopyOnChart)==0)
{
ObjectSet(txtDn4+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio3*thehigh));
ObjectSet(txtDn4+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn4+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}
//---- 
if(ObjectFind(txtDn5+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn5+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio4*thehigh));      
      
      ObjectSet(txtDn5+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn5+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn5+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn5+IndiCopyOnChart)==0)
{
ObjectSet(txtDn5+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio4*thehigh));
ObjectSet(txtDn5+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn5+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}
//---- 
if(ObjectFind(txtDn6+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn6+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio5*thehigh));      
      
      ObjectSet(txtDn6+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn6+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn6+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn6+IndiCopyOnChart)==0)
{
ObjectSet(txtDn6+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio5*thehigh));
ObjectSet(txtDn6+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn6+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}
//---- 
if(ObjectFind(txtDn7+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn7+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio6*thehigh));      
      
      ObjectSet(txtDn7+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn7+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn7+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn7+IndiCopyOnChart)==0)
{
ObjectSet(txtDn7+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio6*thehigh));
ObjectSet(txtDn7+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn7+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}
//---- 
if(ObjectFind(txtDn8+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn8+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio7*thehigh));      
      
      ObjectSet(txtDn8+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn8+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn8+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn8+IndiCopyOnChart)==0)
{
ObjectSet(txtDn8+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio7*thehigh));
ObjectSet(txtDn8+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn8+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}
//---- 
     
 if(ObjectFind(txtDn9+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn9+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio8*thehigh));      
      
      ObjectSet(txtDn9+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn9+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn9+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn9+IndiCopyOnChart)==0)
{
ObjectSet(txtDn9+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio8*thehigh));
ObjectSet(txtDn9+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn9+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}     
//----     
 if(ObjectFind(txtDn10+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn10+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio9*thehigh));      
      
      ObjectSet(txtDn10+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn10+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn10+IndiCopyOnChart, OBJPROP_BACK ,True);
}  
if(ObjectFind(txtDn10+IndiCopyOnChart)==0)
{
ObjectSet(txtDn10+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio9*thehigh));
ObjectSet(txtDn10+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn10+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

}     
//----     
 if(ObjectFind(txtDn11+IndiCopyOnChart)!=0)
{
      ObjectCreate(txtDn11+IndiCopyOnChart,OBJ_HLINE,0,Time[0],thehigh-(ratio10*thehigh));      
      
      ObjectSet(txtDn11+IndiCopyOnChart, OBJPROP_WIDTH ,CalcSize);      
      ObjectSet(txtDn11+IndiCopyOnChart, OBJPROP_RAY ,True);    
      ObjectSet(txtDn11+IndiCopyOnChart, OBJPROP_BACK ,True);

}  
if(ObjectFind(txtDn11+IndiCopyOnChart)==0)
{
ObjectSet(txtDn11+IndiCopyOnChart,  OBJPROP_PRICE1,thehigh-(ratio10*thehigh));
ObjectSet(txtDn11+IndiCopyOnChart, OBJPROP_STYLE ,CalcStyle);
ObjectSet(txtDn11+IndiCopyOnChart, OBJPROP_COLOR,CalcDnColor);

} 
Comment("\n Coded By Brooky-Indicators.com for MoneyDeep");
   return(0);
  }